import { ModelUtilImpl, ConditionUtil, FieldUtil } from 'model-util';
import { TestSqlModel } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface TestSqlModelCU extends ConditionUtil<TestSqlModelCU> {
    CODE: FieldUtil<TestSqlModelCU>;
    FILED1: FieldUtil<TestSqlModelCU>;
}
declare class TestSqlModelMU extends ModelUtilImpl<TestSqlModelCU, TestSqlModel> {
    joinTables: any[];
    selectSQL: string;
    tableFields: string[];
    modelFields: string[];
    createConditionUtil(): TestSqlModelCU;
    static get CODE(): FieldUtil<TestSqlModelCU>;
    static get FILED1(): FieldUtil<TestSqlModelCU>;
    get CODE(): FieldUtil<TestSqlModelCU>;
    get FILED1(): FieldUtil<TestSqlModelCU>;
}
export { TestSqlModelMU, TestSqlModelCU };
